Runtime

## org.eclipse.gmf.runtime.diagram.ui.image
Class PartPositionInfo

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.image.PartPositionInfo

public class PartPositionInfo
extends java.lang.Object

A data structure that stores the positional information of a shape as well as the semantic element behind the shape.

Constructor Summary
`PartPositionInfo()`

Method Summary
`int` `getPartHeight()` get the part Height
`int` `getPartWidth()` get the part width
`int` `getPartX()` get the part X position
`int` `getPartY()` get the part Y position
`java.util.List` `getPolyline()`
`EObject` `getSemanticElement()` Retreive the semantic element of the edit part.
`void` `setPartHeight(int iPartHeight)` set the part height
`void` `setPartWidth(int iPartWidth)` set the part width
`void` `setPartX(int iPartX)` set the part X position
`void` `setPartY(int iPartY)` set the part Y Position
`void` `setPolyline(java.util.List m_polyline)`
`void` `setSemanticElement(EObject element)` Sets the semantic element for the edit part.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PartPositionInfo

    public PartPositionInfo()

Method Detail

### getPartHeight

    public int getPartHeight()

  get the part Height

  Returns:
    part height

### setPartHeight

    public void setPartHeight(int iPartHeight)

  set the part height

  Parameters:
    `iPartHeight` - the part height

### getPartWidth

    public int getPartWidth()

  get the part width

  Returns:
    the part width

### setPartWidth

    public void setPartWidth(int iPartWidth)

  set the part width

  Parameters:
    `iPartWidth` - the part width

### getPartX

    public int getPartX()

  get the part X position

  Returns:
    X position of the part

### getPartY

    public int getPartY()

  get the part Y position

  Returns:
    Y position of the part

### setPartX

    public void setPartX(int iPartX)

  set the part X position

  Parameters:
    `iPartX` - the X position of the part

### setPartY

    public void setPartY(int iPartY)

  set the part Y Position

  Parameters:
    `iPartY` - the Y position of the part

### getSemanticElement

    public EObject getSemanticElement()

  Retreive the semantic element of the edit part.

  Returns:
    The semantic element EObject.

### setSemanticElement

    public void setSemanticElement(EObject element)

  Sets the semantic element for the edit part.

  Parameters:
    `element` - The semantic element EObject.

### getPolyline

    public java.util.List getPolyline()

  Returns:
    List of Point type objects (that carry X and Y coordinate pair) representing the polyline

### setPolyline

    public void setPolyline(java.util.List m_polyline)

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.